# Quote Requests

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Quote Requests in the platform.**

## Queries

### Query Quote Requests

[fetch SDL for query quoteRequests](#graphql-partial-sdls).

### Get Quote Request

[fetch SDL for query quoteRequest](#graphql-partial-sdls).

## Mutations

### Create Quote Request

[fetch SDL for mutation createQuoteRequest](#graphql-partial-sdls).

### Update Quote Request

[fetch SDL for mutation updateQuoteRequest](#graphql-partial-sdls).

### Delete Quote Request

[fetch SDL for mutation deleteQuoteRequest](#graphql-partial-sdls).

## Output types

### QuoteRequest

[fetch SDL for type QuoteRequest](#graphql-partial-sdls).

### QuoteRequestQueryResult

[fetch SDL for type QuoteRequestQueryResult](#graphql-partial-sdls).

## Input types

### QuoteRequestDraft

[fetch SDL for type QuoteRequestDraft](#graphql-partial-sdls).

### QuoteRequestUpdateAction

[fetch SDL for type QuoteRequestUpdateAction](#graphql-partial-sdls).

### Update actions

#### General

##### Change Customer

[fetch SDL for type ChangeQuoteRequestCustomer](#graphql-partial-sdls).

#### State

##### Change Quote Request State

[fetch SDL for type ChangeQuoteRequestState](#graphql-partial-sdls).

##### Transition State

[fetch SDL for type TransitionQuoteRequestState](#graphql-partial-sdls).

#### Custom Fields

##### Set Custom Type

[fetch SDL for type SetQuoteRequestCustomType](#graphql-partial-sdls).

##### Set Custom Field

[fetch SDL for type SetQuoteRequestCustomField](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)